| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_timer.c File Reference

## Overview

This file contains routines for timer configuration.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0   Wendy   01/02/2020  Initial creation

void | XAieTile_CoreSetTimerTrigEventVal (XAieGbl_Tile *TileInstPtr, u32 LowEventValue, u32 HighEventValue)
| This API sets the Core timer trigger events value. More...
void | XAieTile_CoreResetTimer (XAieGbl_Tile *TileInstPtr)
| This API resets the Core timer. More...
u32 | XAieTile_CoreSetTimerResetEvent (XAieGbl_Tile *TileInstPtr, u32 Event, u8 Reset)
| This API sets the Core timer reset event. More...
void | XAieTile_MemSetTimerTrigEventVal (XAieGbl_Tile *TileInstPtr, u32 LowEventValue, u32 HighEventValue)
| This API sets the Mem timer trigger events value. More...
void | XAieTile_MemResetTimer (XAieGbl_Tile *TileInstPtr)
| This API resets the Mem timer. More...
u32 | XAieTile_MemSetTimerResetEvent (XAieGbl_Tile *TileInstPtr, u32 Event, u8 Reset)
| This API sets the Mem timer reset event. More...
void | XAieTile_PlSetTimerTrigEventVal (XAieGbl_Tile *TileInstPtr, u32 LowEventValue, u32 HighEventValue)
| This API sets the Pl timer trigger events value. More...
void | XAieTile_PlResetTimer (XAieGbl_Tile *TileInstPtr)
| This API resets the Pl timer. More...
u32 | XAieTile_PlSetTimerResetEvent (XAieGbl_Tile *TileInstPtr, u32 Event, u8 Reset)
| This API sets the Pl timer reset event. More...

## Function Documentation

void XAieTile_CoreResetTimer | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API resets the Core timer.

Parameters

  TileInstPtr | - Pointer to the Tile instance.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTile_CoreSetTimerResetEvent | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | Event,
|  | u8 | Reset
| ) |  |

This API sets the Core timer reset event.

The timer will reset when the event is raised.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Event | - Reset event ID (0 - 127)
  Reset | - Indicate if reset is also required in this call. (XAIE_RESETENABLE, XAIE_RESETDISABLE)

Returns
  XAIE_SUCCESS if successful, else XAIE_FAILURE

Note
  None.

References XAieGbl_Tile::TileType.

void XAieTile_CoreSetTimerTrigEventVal | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | LowEventValue,
|  | u32 | HighEventValue
| ) |  |

This API sets the Core timer trigger events value.

Timer low event will generate if the timer reaches the low 32bit of the event value. Timer high event will generate if the timer reaches the high 32bit of the event value.

Parameters

  TileInstPtr | - Pointer to the tile instance.
  LowEventValue | - Timer value to trigger timer low events.
  HighEventValue | - Timer value to trigger timer high events.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.

void XAieTile_MemResetTimer | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API resets the Mem timer.

Parameters

  TileInstPtr | - Pointer to the Tile instance.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTile_MemSetTimerResetEvent | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | Event,
|  | u8 | Reset
| ) |  |

This API sets the Mem timer reset event.

The timer will reset when the event is raised.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Event | - Reset event ID (0 - 127)
  Reset | - Indicate if reset is also required in this call. (XAIE_RESETENABLE, XAIE_RESETDISABLE)

Returns
  XAIE_SUCCESS if successful, else XAIE_FAILURE

Note
  None.

References XAieGbl_Tile::TileType.

void XAieTile_MemSetTimerTrigEventVal | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | LowEventValue,
|  | u32 | HighEventValue
| ) |  |

This API sets the Mem timer trigger events value.

Timer low event will generate if the timer low reaches the specified low event value. Timer high event will generate if the timer high reaches the specified high event value.

Parameters

  TileInstPtr | - Pointer to the tile instance.
  LowEventValue | - Timer value to trigger timer low events.
  HighEventValue | - Timer value to trigger timer high events.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.

void XAieTile_PlResetTimer | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API resets the Pl timer.

Parameters

  TileInstPtr | - Pointer to the Tile instance.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTile_PlSetTimerResetEvent | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | Event,
|  | u8 | Reset
| ) |  |

This API sets the Pl timer reset event.

The timer will reset when the event is raised.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Event | - Reset event ID (0 - 127)
  Reset | - Indicate if reset is also required in this call. (XAIE_RESETENABLE, XAIE_RESETDISABLE)

Returns
  XAIE_SUCCESS if successful, else XAIE_FAILURE

Note
  None.

References XAieGbl_Tile::TileType.

void XAieTile_PlSetTimerTrigEventVal | ( | XAieGbl_Tile * | TileInstPtr,
|  | u32 | LowEventValue,
|  | u32 | HighEventValue
| ) |  |

This API sets the Pl timer trigger events value.

Timer low event will generate if the timer low reaches the specified low event value. Timer high event will generate if the timer high reaches the specified high event value.

Parameters

  TileInstPtr | - Pointer to the tile instance.
  LowEventValue | - Timer value to trigger timer low events.
  HighEventValue | - Timer value to trigger timer high events.

Returns
  None.

Note
  None.

References XAieGbl_Tile::TileType.